package com.chenyang.nse.bussiness.enumeration;

public enum EdataSystem {
   DATASYSTEM("0", "原生系统"),
   DATASTRUCTURE("1", "保存结构的系统"),
   DATASOURCETARGET("2", "数据源或数据目标系统"),
   DATAMASKINGENGINE("3", "脱敏引擎系统"),
   DATAMAPSYSTEM("4", "数据地图系统");

   private String flag;
   private String systemtype;

   private EdataSystem(String flag, String systemtype) {
      this.flag = flag;
      this.systemtype = systemtype;
   }

   public String getFlag() {
      return this.flag;
   }

   public void setFlag(String flag) {
      this.flag = flag;
   }

   public String getSystemtype() {
      return this.systemtype;
   }

   public void setSystemtype(String systemtype) {
      this.systemtype = systemtype;
   }
}
